# Create a metaobject

Creates a metaobject. Works with Shopify accounts.

```http
POST https://api.pozy.ai/v1/commerce/metaobjects
```

- Area: Commerce / Commerce
- Auth: Authorization: Bearer pz_live_...

## Request body

Content type: `application/json`

- `accountId`, string, required
- `type`, string, required
- `handle`, string
- `fields`, array of object, required: At least 1 item. Up to 100 items
  - `key`, string, required
  - `value`, string, required

## Example request

```bash
curl -X POST "https://api.pozy.ai/v1/commerce/metaobjects" \
  -H "Authorization: Bearer $POZY_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "accountId": "696e0b682d0a31188e7a2ba9",
  "type": "string",
  "fields": [
    {
      "key": "string",
      "value": "string"
    }
  ]
}'
```

```ts
const res = await fetch("https://api.pozy.ai/v1/commerce/metaobjects", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.POZY_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    accountId: "696e0b682d0a31188e7a2ba9",
    type: "string",
    fields: [
      {
        key: "string",
        value: "string"
      }
    ]
  }),
});
const data = await res.json();
if (!res.ok) throw new Error(data?.error ?? `Request failed with status ${res.status}`);
console.log(data);
```

```python
import os
import requests

resp = requests.post(
    "https://api.pozy.ai/v1/commerce/metaobjects",
    headers={"Authorization": f"Bearer {os.environ['POZY_API_KEY']}"},
    json={
        "accountId": "696e0b682d0a31188e7a2ba9",
        "type": "string",
        "fields": [
            {
                "key": "string",
                "value": "string",
            },
        ],
    },
    timeout=30,
)
resp.raise_for_status()
print(resp.json())
```

## Response 201

- `metaobject`, object
  - `id`, string
  - `type`, string
  - `handle`, string
  - `displayName`, string
  - `fields`, array of object
    - `key`, string
    - `type`, string
    - `value`, string: Can be null

```json
{
  "metaobject": {
    "id": "6bfebd43ddc270f6d2c56fc5",
    "type": "string",
    "handle": "acme",
    "displayName": "Acme",
    "fields": [
      {
        "key": "string",
        "type": "string",
        "value": "string"
      }
    ]
  }
}
```
